Package org.eclipse.rdf4j.common.app.logging.logback

## Class LogConfigurator

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.GenericConfigurator
    - - ch.qos.logback.core.joran.JoranConfiguratorBase<ch.qos.logback.classic.spi.ILoggingEvent>
      - - ch.qos.logback.classic.joran.JoranConfigurator
        - - org.eclipse.rdf4j.common.app.logging.logback.LogConfigurator

- All Implemented Interfaces:
    `ch.qos.logback.core.spi.ContextAware`

      public class LogConfigurator
      extends ch.qos.logback.classic.joran.JoranConfigurator

  Author:
    alex

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `LogConfigurator.LogReaderAction` |

  - ### Field Summary

    - ### Fields inherited from class ch.qos.logback.core.joran.GenericConfigurator

      `interpreter`

    - ### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

      `context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogConfigurator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInstanceRules​(ch.qos.logback.core.joran.spi.RuleStore rs)` |
    `LogReader` | `getDefaultLogReader()` | Get default log reader
    `LogReader` | `getLogReader​(String appenderName)` |

    - ### Methods inherited from class ch.qos.logback.classic.joran.JoranConfigurator

      `addDefaultNestedComponentRegistryRules`

    - ### Methods inherited from class ch.qos.logback.core.joran.JoranConfiguratorBase

      `addImplicitRules, buildInterpreter, getInterpretationContext`

    - ### Methods inherited from class ch.qos.logback.core.joran.GenericConfigurator

      `doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, getBeanDescriptionCache, informContextOfURLUsedForConfiguration, initialElementPath, recallSafeConfiguration, registerSafeConfiguration`

    - ### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

      `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogConfigurator

          public LogConfigurator()

  - ### Method Detail

    - #### getDefaultLogReader

          public LogReader getDefaultLogReader()

      Get default log reader
      Returns:
        log reader

    - #### getLogReader

          public LogReader getLogReader​(String appenderName)

      Parameters:
        `appenderName` -
      Returns:
        log reader

    - #### addInstanceRules

          public void addInstanceRules​(ch.qos.logback.core.joran.spi.RuleStore rs)

      Overrides:
        `addInstanceRules` in class `ch.qos.logback.classic.joran.JoranConfigurator`